<!DOCTYPE html>
<html lang="en">
{% load static %}

<link rel="stylesheet" href="{% static 'style.css' %}">

<head>
    <meta charset="UTF-8">
    <title>Chatbot</title>
</head>
<body>
<div class="container">
    <div class="chatbox">
        <div class="chatbox__support">
            <div class="chatbox__header">
                <div class="chatbox__image--header">
                    <img src="https://img.icons8.com/color/48/000000/circled-user-female-skin-type-5--v1.png" alt="image">
                </div>
                <div class="chatbox__content--header">
                    <h4 class="chatbox__heading--header">Live Assistant</h4>
                    <p class="chatbox__description--header">I'm an intelligent robot, How can I help you?</p>
                </div>
            </div>
            <div class="chatbox__messages">
                <script>
                    function updateSubject(newSubjectValue) {
                    const subject = document.getElementById('subject');
                    const xhr = new XMLHttpRequest();
                    xhr.onreadystatechange = function() {
                        if (this.readyState === 4 && this.status === 200) {
                            const data = JSON.parse(this.responseText);
                            subject.textContent = 'Subject: ' + data.subject;
                        }
                    };
                    xhr.open('POST', '/my_view/', true);
                    xhr.setRequestHeader('Content-Type', 'application/json');
                    xhr.send(JSON.stringify({ subject: newSubjectValue }));
                }

                // Example of updating the subject after a button click
                const button = document.getElementById('update-button');
                button.addEventListener('click', function() {
                    const newSubjectValue = prompt('Enter new subject value:');
                    if (newSubjectValue !== null) {
                        updateSubject(newSubjectValue);
                    }
                });
                </script>

            </div>
            <div class="chatbox__footer">
                <input type="text" placeholder="Write a message...">
                <button class="chatbox__send--footer send__button">Send</button>
            </div>
        </div>
        <div class="chatbox__button">
            <button><img src="{% static 'images/chatbox-icon.svg' %}" /></button>
        </div>
    </div>
</div>

    <script type="text/javascript" src="{% static 'app.js' %}"></script>

</body>
</html>